## Script (Python) "notify_rejection"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=send_to_member
##title=Notify owner on rejection of a content object
##

portal = context.portal_url.getPortalObject()
portal_url = portal.absolute_url()
from_address = portal.email_from_address
from_name = portal.email_from_name
if from_name:
    from_line = '"%s" <%s>' % (from_name, from_address)
else:
    from_line = '<%s>' % from_address
to_address = send_to_member.getProperty('email')
to_name = send_to_member.getProperty('fullname')
if to_name:
    to_line = '"%s" <%s>' % (to_name, to_address)
else:
    to_line = '<%s>' % to_address

charset = portal.portal_properties.site_properties.default_charset

object_type = getattr(context, 'meta_type', 'Object')


header = """From: "%s" <%s>
To: "%s" <%s>
Subject: %s declined for posting at %s
Content-Type: text/plain; charset=%s

""" % (from_name, from_address, to_name, to_address, object_type, portal_url, charset)

body = """The %s you submitted at %s was declined for posting.

Title: %s
Description: %s
""" % (portal_url, object_type, context.Title(), context.Description())

return header + context.wrap_text(body, 68)
